function AISMN_Null::OnEnter(%this,%obj)
{
   GetThisObject(%obj).playThread( 0, "root");
}

function AISMN_Null::OnExit(%this,%obj)
{
   GetThisObject(%obj).playThread( 0, "root");
   return;
}

function AISMN_Null::Update(%this,%obj)
{
   if(TimeInNode(%obj) > 0.3)
      ReturnValue(%obj,0);
   else
      ReturnValue(%obj,-1);
   return;
}